﻿#NoEnv
#SingleInstance Force
SetWorkingDir %A_ScriptDir%

Menu Tray, Icon, %A_ScriptDir%\tuto-icon.ico

;;; The GUI
Gui Add, Button, gselection x200 y16 w80 h23, Choose PDF
Gui Add, Text, x0 y53 w500 h2 0x10
Gui Add, Text, x250 y53 w2 h347 0x11
;Text options
Gui Add, ComboBox, vclassification x88 y100 w120, Public|Internal|Confidential||Highly_Confidential
Gui Add, Edit, vxoffset x88 y130 w70 h21, 10
Gui Add, Edit, vyoffset x88 y160 w70 h21, 70
Gui Add, Edit, vcolor x88 y190 w70 h21, FF0000
Gui Add, Edit, vfontsize x88 y220 w70 h21, 12
Gui Add, Edit, vangle x88 y250 w70 h21, 45
Gui Add, Text, x8 y72 w70 h23 +0x200, Text options
Gui Add, Text, x8 y96 w65 h23 +0x200, Classification
Gui Add, Text, x8 y130 w65 h23 +0x200, X-Offset
Gui Add, Text, x8 y160 w65 h23 +0x200, Y-Offset
Gui Add, Text, x8 y190 w65 h23 +0x200, Color
Gui Add, Text, x8 y220 w65 h23 +0x200, Font size
Gui Add, Text, x8 y250 w65 h23 +0x200, Angle

Gui Add, Button, ggo x8 y400 w150 h23, &Classify with text
;Image option
Gui Add, Text, x292 y72 w70 h23 +0x200, Image options
Gui Add, Button, gimage x372 y100 w120, Choose image
Gui Add, Edit, vxoffset2 x372 y130 w70 h21, 10
Gui Add, Edit, vyoffset2 x372 y160 w70 h21, 70
Gui Add, Edit, vopacity x372 y190 w70 h21, 0.5
Gui Add, Edit, vscale x372 y220 w70 h21, 100
Gui Add, Edit, vangle2 x372 y250 w70 h21, 45
Gui Add, CheckBox, vcenter x292 y280, Center (offsets ignored)
Gui Add, CheckBox, vstretchtop x292 y310, Stretch top (offsets, scale ignored)
Gui Add, CheckBox, vstretchmiddle x292 y340, Stretch middle (overrides stretch top)
Gui Add, CheckBox, vtiles x292 y370, Tiles with Spacing:
Gui Add, Edit, vspacing x405 y370 w30 h21, 20
Gui Add, Text, x292 y100 w65 h23 +0x200, Classification
Gui Add, Text, x292 y130 w65 h23 +0x200, X-Offset
Gui Add, Text, x292 y160 w65 h23 +0x200, Y-Offset
Gui Add, Text, x292 y190 w65 h23 +0x200, Opacity
Gui Add, Text, x292 y220 w65 h23 +0x200, Scale
Gui Add, Text, x292 y250 w65 h23 +0x200, Angle
Gui Add, Button, ggo2 x292 y400 w150 h23, &Classify with image

; Exit button
Gui Add, Button, gexit x200 y400 w80 h23, &Exit

Gui Show, w500 h450, El Tutos PDF Classifier
Return

GuiEscape:
GuiClose:
    ExitApp

;;; Main

; Variables
global mypdf
global classification
global center
global stretchtop
global stretchmiddle
global centerize
global stretcherizemiddle
global stretcherizetop

; PDF selection
selection:
FileSelectFile, mypdf
; Optional for compiling into exe:
;FileInstall, markpdf.exe, %A_WorkingDir%\markpdf.exe, 1
;FileInstall, copying.txt, %A_WorkingDir%\copying.txt, 1
return

; Image selection
image:
FileSelectFile, image
return

; Start text classification
go:
Gui, submit
If classification = Highly_Confidential
{
    classification2 := "Highly Confidential"
}
else
{
    classification2 := classification
}
Run, markpdf.exe %mypdf% "%classification2%" %mypdf%_classified.pdf --offset-x=%xoffset% --offset-y=%yoffset% --font-size=%fontsize% --angle=%angle% --color=%color%
Gui, Restore
return

; Start image classification
go2:
Gui, submit
options = --offset-x=%xoffset2% --offset-y=%yoffset2% --opacity=%opacity% --angle=%angle2% --scale=%scale%
If center = 1
{
centerize = --center
options = --opacity=%opacity% --angle=%angle2% --scale=%scale% %centerize%
}
If stretchtop = 1
{
stretcherizetop = -w
options = --opacity=%opacity% %stretcherizetop%
}
If stretchmiddle = 1
{
stretcherizemiddle = -W
options = --opacity=%opacity% %stretcherizemiddle%
}
If tiles = 1
{
options = --opacity=%opacity% --angle=%angle2% --scale=%scale% --tiles --spacing=%spacing%
}
Run, markpdf.exe %mypdf% "%image%" %mypdf%_classified.pdf %options%
Gui, Restore
return

exit:
ExitApp